Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.mql
Class MQLFunctionArgument

    java.lang.Object
      org.makumba.providers.query.mql.MQLFunctionArgument

     class MQLFunctionArgument

extends Object

Represents a single argument in an MQL function.

Version:
  $Id: MQLFunctionArgument.java,v 1.1 Dec 20, 2008 3:33:06 AM rudi Exp $
Author:
  Rudolf Mayer

Constructor Summary
`MQLFunctionArgument(String type)`
`MQLFunctionArgument(String type, boolean optional, boolean multiple)`

Method Summary
`String` | `getType()`
`String` | `getTypeNice()`
`boolean` | `isMultiple()` Whether the argument can be repeated multiple times.
`boolean` | `isOptional()` Whether the argument is optional.
`static MQLFunctionArgument` | `multipleArgument(String type)`
`static MQLFunctionArgument` | `optionalArgument(String type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MQLFunctionArgument

    public MQLFunctionArgument(String type)

### MQLFunctionArgument

    public MQLFunctionArgument(String type,
                               boolean optional,
                               boolean multiple)

Method Detail

### multipleArgument

    public static MQLFunctionArgument multipleArgument(String type)

### optionalArgument

    public static MQLFunctionArgument optionalArgument(String type)

### getType

    public String getType()

### getTypeNice

    public String getTypeNice()

### isMultiple

    public boolean isMultiple()

  Whether the argument can be repeated multiple times.

### isOptional

    public boolean isOptional()

  Whether the argument is optional.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20